Bug 296606 - GStreamer crashes while "zapping" videos [@ Phonon::Gstreamer::Pipeline::cb_tag]
Summary: GStreamer crashes while "zapping" videos [@ Phonon::Gstreamer::Pipeline::cb_tag]
Status: RESOLVED FIXED
Alias: None
Product: phonon-backend-gstreamer
Classification: Unclassified
Component: general (show other bugs)
Version: 4.6
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: 4.6.1
Assignee: Harald Sitter
URL:
Keywords:
: 298499 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-03-23 09:24 UTC by Leo
Modified: 2018-08-25 10:19 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.6.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leo 2012-03-23 09:24:23 UTC
Application: digikam (2.5.0)
KDE Platform Version: 4.8.1 (4.8.1)
Qt Version: 4.8.0
Operating System: Linux 3.2.0-19-generic x86_64
Distribution: Ubuntu precise (development branch)

-- Information about the crash:
I was looking for a particolar video, and I was zapping many videos with the space bar.

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
__lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:132
[Current thread is 1 (Thread 0x7fa1afe13a00 (LWP 8296))]

Thread 8 (Thread 0x7fa18c3a1700 (LWP 8297)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa1aa0834cb in wait (time=18446744073709551615, this=0x10510d0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1050fc8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005ca1d0 in Digikam::ScanController::run (this=0x1050d60) at /build/buildd/digikam-2.5.0/core/digikam/database/scancontroller.cpp:647
#4  0x00007fa1aa082fbb in QThreadPrivate::start (arg=0x1050d60) at thread/qthread_unix.cpp:298
#5  0x00007fa1a4a91e9a in start_thread (arg=0x7fa18c3a1700) at pthread_create.c:308
#6  0x00007fa1a92af4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fa18bba0700 (LWP 8298)):
#0  __pthread_mutex_lock (mutex=0x7fa17c000a60) at pthread_mutex_lock.c:131
#1  0x00007fa1a271a891 in g_mutex_lock (mutex=<optimized out>) at /build/buildd/glib2.0-2.31.22/./glib/gthread-posix.c:208
#2  0x00007fa1a26defe5 in g_main_context_iterate (context=0x7fa17c0009a0, block=1, dispatch=1, self=<optimized out>) at /build/buildd/glib2.0-2.31.22/./glib/gmain.c:3090
#3  0x00007fa1a26df214 in g_main_context_iteration (context=0x7fa17c0009a0, may_block=1) at /build/buildd/glib2.0-2.31.22/./glib/gmain.c:3184
#4  0x00007fa1aa1b0a96 in QEventDispatcherGlib::processEvents (this=0x7fa17c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007fa1aa1802f2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007fa1aa180547 in QEventLoop::exec (this=0x7fa18bb9fb50, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007fa1aa07ff97 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007fa1aa16006f in QInotifyFileSystemWatcherEngine::run (this=0x10534b0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007fa1aa082fbb in QThreadPrivate::start (arg=0x10534b0) at thread/qthread_unix.cpp:298
#10 0x00007fa1a4a91e9a in start_thread (arg=0x7fa18bba0700) at pthread_create.c:308
#11 0x00007fa1a92af4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fa18b39f700 (LWP 8301)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa1aa0834cb in wait (time=18446744073709551615, this=0x1478170) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1477ed8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fa1ad480ff1 in Digikam::ParkingThread::run (this=0x1477ec0) at /build/buildd/digikam-2.5.0/core/libs/threads/threadmanager.cpp:119
#4  0x00007fa1aa082fbb in QThreadPrivate::start (arg=0x1477ec0) at thread/qthread_unix.cpp:298
#5  0x00007fa1a4a91e9a in start_thread (arg=0x7fa18b39f700) at pthread_create.c:308
#6  0x00007fa1a92af4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fa189a46700 (LWP 8302)):
#0  0x00007fa1a26df22a in g_main_context_iteration (context=<optimized out>, may_block=<optimized out>) at /build/buildd/glib2.0-2.31.22/./glib/gmain.c:3188
#1  0x00007fa1aa1b0a96 in QEventDispatcherGlib::processEvents (this=0x7fa1740008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#2  0x00007fa1aa1802f2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#3  0x00007fa1aa180547 in QEventLoop::exec (this=0x7fa189a45b50, flags=...) at kernel/qeventloop.cpp:204
#4  0x00007fa1aa07ff97 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#5  0x00007fa1aa16006f in QInotifyFileSystemWatcherEngine::run (this=0x164b8d0) at io/qfilesystemwatcher_inotify.cpp:248
#6  0x00007fa1aa082fbb in QThreadPrivate::start (arg=0x164b8d0) at thread/qthread_unix.cpp:298
#7  0x00007fa1a4a91e9a in start_thread (arg=0x7fa189a46700) at pthread_create.c:308
#8  0x00007fa1a92af4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fa159b25700 (LWP 8408)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa1a271ab1f in g_cond_wait (cond=0x7fa118642d90, mutex=<optimized out>) at /build/buildd/glib2.0-2.31.22/./glib/gthread-posix.c:746
#2  0x00007fa193656f7c in gst_task_func (task=0x7fa1181cb950) at gsttask.c:312
#3  0x00007fa1a2701538 in g_thread_pool_thread_proxy (data=<optimized out>) at /build/buildd/glib2.0-2.31.22/./glib/gthreadpool.c:309
#4  0x00007fa1a2700cd5 in g_thread_proxy (data=0x4f01050) at /build/buildd/glib2.0-2.31.22/./glib/gthread.c:801
#5  0x00007fa1a4a91e9a in start_thread (arg=0x7fa159b25700) at pthread_create.c:308
#6  0x00007fa1a92af4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fa159324700 (LWP 8409)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa1a271ab1f in g_cond_wait (cond=0x7fa10c030820, mutex=<optimized out>) at /build/buildd/glib2.0-2.31.22/./glib/gthread-posix.c:746
#2  0x00007fa193656f7c in gst_task_func (task=0x7fa14c14d030) at gsttask.c:312
#3  0x00007fa1a2701538 in g_thread_pool_thread_proxy (data=<optimized out>) at /build/buildd/glib2.0-2.31.22/./glib/gthreadpool.c:309
#4  0x00007fa1a2700cd5 in g_thread_proxy (data=0x15e49e0) at /build/buildd/glib2.0-2.31.22/./glib/gthread.c:801
#5  0x00007fa1a4a91e9a in start_thread (arg=0x7fa159324700) at pthread_create.c:308
#6  0x00007fa1a92af4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fa152ffd700 (LWP 8410)):
[KCrash Handler]
#6  ref (this=0x71f0d62d90a779d) at /usr/include/qt4/QtCore/qatomic_x86_64.h:121
#7  QString (other=..., this=0x7fa16411c1a0) at /usr/include/qt4/QtCore/qstring.h:726
#8  node_create (avalue=..., akey=..., aupdate=0x7fa152ffb8a0, adt=0x7fa164114e70, this=<optimized out>) at /usr/include/qt4/QtCore/qmap.h:456
#9  QMap<QString, QString>::detach_helper (this=0x1cf18e0) at /usr/include/qt4/QtCore/qmap.h:763
#10 0x00007fa17bde239b in detach (this=0x1cf18e0) at /usr/include/qt4/QtCore/qmap.h:205
#11 insertMulti (this=0x1cf18e0, avalue=..., akey=...) at /usr/include/qt4/QtCore/qmap.h:598
#12 insert (value=..., key=..., this=0x1cf18e0) at /usr/include/qt4/QtCore/qmap.h:982
#13 Phonon::Gstreamer::Pipeline::cb_tag (bus=<optimized out>, msg=<optimized out>, data=0x1cf18c0) at ../../gstreamer/pipeline.cpp:590
#14 0x00007fa1a21b9deb in g_closure_invoke (closure=0x1cfc8c0, return_value=0x0, n_param_values=2, param_values=0x7fa152ffbfa0, invocation_hint=<optimized out>) at /build/buildd/glib2.0-2.31.22/./gobject/gclosure.c:777
#15 0x00007fa1a21cb943 in signal_emit_unlocked_R (node=<optimized out>, detail=244, instance=<optimized out>, emission_return=0x0, instance_and_params=0x7fa152ffbfa0) at /build/buildd/glib2.0-2.31.22/./gobject/gsignal.c:3547
#16 0x00007fa1a21d4230 in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=244, var_args=<optimized out>) at /build/buildd/glib2.0-2.31.22/./gobject/gsignal.c:3296
#17 0x00007fa1a21d4472 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at /build/buildd/glib2.0-2.31.22/./gobject/gsignal.c:3352
#18 0x00007fa193605b7a in gst_bus_sync_signal_handler (bus=0x1801d80, message=0x7fa16421d080, data=<optimized out>) at gstbus.c:1145
#19 0x00007fa193605fac in gst_bus_post (bus=0x1801d80, message=0x7fa16421d080) at gstbus.c:322
#20 0x00007fa193613f3b in gst_element_post_message (element=0x1cf77a0, message=0x7fa16421d080) at gstelement.c:1853
#21 0x00007fa1935febc7 in gst_bin_handle_message_func (bin=0x1cf77a0, message=0x7fa16421d080) at gstbin.c:3442
#22 0x00007fa193633e88 in gst_pipeline_handle_message (bin=0x1cf77a0, message=0x7fa16421d080) at gstpipeline.c:587
#23 0x00007fa169edc18e in gst_play_bin_handle_message (bin=0x1cf77a0, msg=0x7fa16421d080) at gstplaybin2.c:2387
#24 0x00007fa1935fc558 in bin_bus_handler (bus=<optimized out>, message=<optimized out>, bin=<optimized out>) at gstbin.c:2793
#25 0x00007fa193605fac in gst_bus_post (bus=0x1801cc0, message=0x7fa16421d080) at gstbus.c:322
#26 0x00007fa193613f3b in gst_element_post_message (element=0x5096010, message=0x7fa16421d080) at gstelement.c:1853
#27 0x00007fa1935febc7 in gst_bin_handle_message_func (bin=0x5096010, message=0x7fa16421d080) at gstbin.c:3442
#28 0x00007fa16fdf2977 in handle_message (bin=0x5096010, msg=0x7fa16421d080) at gsturidecodebin.c:2210
#29 0x00007fa1935fc558 in bin_bus_handler (bus=<optimized out>, message=<optimized out>, bin=<optimized out>) at gstbin.c:2793
#30 0x00007fa193605fac in gst_bus_post (bus=0x1cfc0d0, message=0x7fa16421d080) at gstbus.c:322
#31 0x00007fa193613f3b in gst_element_post_message (element=0x5096240, message=0x7fa16421d080) at gstelement.c:1853
#32 0x00007fa1935febc7 in gst_bin_handle_message_func (bin=0x5096240, message=0x7fa16421d080) at gstbin.c:3442
#33 0x00007fa1935fc558 in bin_bus_handler (bus=<optimized out>, message=<optimized out>, bin=<optimized out>) at gstbin.c:2793
#34 0x00007fa193605fac in gst_bus_post (bus=0x1cfc190, message=0x7fa16421d080) at gstbus.c:322
#35 0x00007fa193613f3b in gst_element_post_message (element=0x7fa14c067590, message=0x7fa16421d080) at gstelement.c:1853
#36 0x00007fa1938cd6ca in gst_base_parse_update_bitrates (parse=0x7fa14c067590, frame=<optimized out>) at gstbaseparse.c:1434
#37 gst_base_parse_push_frame (parse=0x7fa14c067590, frame=0x7fa14c067978) at gstbaseparse.c:1923
#38 0x00007fa1938cee22 in gst_base_parse_chain (pad=<optimized out>, buffer=0x7fa1641f0040) at gstbaseparse.c:2324
#39 0x00007fa193630bfa in gst_pad_push (pad=0x7fa10c02ae10, buffer=0x7fa1641f0040) at gstpad.c:4710
#40 0x00007fa16b5d8536 in gst_single_queue_push_one (object=0x7fa1641f0040, sq=0x7fa14c067370, mq=0x7fa14c01e460) at gstmultiqueue.c:1087
#41 gst_multi_queue_loop (pad=<optimized out>) at gstmultiqueue.c:1318
#42 0x00007fa193656dcc in gst_task_func (task=0x7fa14c14d130) at gsttask.c:327
#43 0x00007fa1a2701538 in g_thread_pool_thread_proxy (data=<optimized out>) at /build/buildd/glib2.0-2.31.22/./glib/gthreadpool.c:309
#44 0x00007fa1a2700cd5 in g_thread_proxy (data=0x15e4a80) at /build/buildd/glib2.0-2.31.22/./glib/gthread.c:801
#45 0x00007fa1a4a91e9a in start_thread (arg=0x7fa152ffd700) at pthread_create.c:308
#46 0x00007fa1a92af4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#47 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fa1afe13a00 (LWP 8296)):
#0  __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:132
#1  0x00007fa1a4a94080 in _L_lock_903 () from /lib/x86_64-linux-gnu/libpthread.so.0
#2  0x00007fa1a4a93f19 in __pthread_mutex_lock (mutex=0x7fa15c1648d0) at pthread_mutex_lock.c:82
#3  0x00007fa1a26b3321 in g_static_rec_mutex_lock (mutex=0x7fa1100119c0) at /build/buildd/glib2.0-2.31.22/./glib/deprecated/gthread-deprecated.c:712
#4  0x00007fa1938c95f5 in gst_base_parse_activate (parse=0x7fa14c067590, active=<optimized out>) at gstbaseparse.c:2948
#5  0x00007fa1938c9836 in gst_base_parse_sink_activate_push (pad=<optimized out>, active=0) at gstbaseparse.c:2970
#6  0x00007fa19362fc53 in gst_pad_activate_push (pad=0x7fa14c151050, active=0) at gstpad.c:956
#7  0x00007fa1936308c8 in gst_pad_set_active (pad=0x7fa14c151050, active=0) at gstpad.c:718
#8  0x00007fa1936108b0 in activate_pads (pad=0x7fa14c151050, ret=0x7fff20e36c80, active=<optimized out>) at gstelement.c:2845
#9  0x00007fa1936224ce in gst_iterator_fold (it=0x37273e0, func=0x7fa193610890 <activate_pads>, ret=0x7fff20e36c80, user_data=0x7fff20e36cdc) at gstiterator.c:549
#10 0x00007fa193610821 in iterator_activate_fold_with_resync (iter=0x37273e0, func=0x7fa193610890 <activate_pads>, user_data=0x7fff20e36cdc) at gstelement.c:2876
#11 0x00007fa193612d9f in gst_element_pads_activate (element=0x7fa14c067590, active=0) at gstelement.c:2920
#12 0x00007fa1936130cc in gst_element_change_state_func (element=0x7fa14c067590, transition=<optimized out>) at gstelement.c:3002
#13 0x00007fa1938ca99f in gst_base_parse_change_state (element=0x7fa14c067590, transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstbaseparse.c:4103
#14 0x00007fa193614dac in gst_element_change_state (element=<optimized out>, transition=<optimized out>) at gstelement.c:2761
#15 0x00007fa1936156d0 in gst_element_set_state_func (element=0x7fa14c067590, state=GST_STATE_READY) at gstelement.c:2717
#16 0x00007fa1936028ed in gst_bin_element_set_state (next=GST_STATE_READY, current=GST_STATE_PAUSED, start_time=73830000, base_time=8879714000, element=0x7fa14c067590, bin=0x5096240) at gstbin.c:2209
#17 gst_bin_change_state_func (element=0x5096240, transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstbin.c:2518
#18 0x00007fa16fdee373 in gst_decode_bin_change_state (element=0x5096240, transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstdecodebin2.c:4027
#19 0x00007fa193614dac in gst_element_change_state (element=<optimized out>, transition=<optimized out>) at gstelement.c:2761
#20 0x00007fa1936156d0 in gst_element_set_state_func (element=0x5096240, state=GST_STATE_READY) at gstelement.c:2717
#21 0x00007fa1936028ed in gst_bin_element_set_state (next=GST_STATE_READY, current=GST_STATE_PAUSED, start_time=73830000, base_time=8879714000, element=0x5096240, bin=0x5096010) at gstbin.c:2209
#22 gst_bin_change_state_func (element=0x5096010, transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstbin.c:2518
#23 0x00007fa16fdf5e9a in gst_uri_decode_bin_change_state (element=0x5096010, transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gsturidecodebin.c:2500
#24 0x00007fa193614dac in gst_element_change_state (element=<optimized out>, transition=<optimized out>) at gstelement.c:2761
#25 0x00007fa1936156d0 in gst_element_set_state_func (element=0x5096010, state=GST_STATE_READY) at gstelement.c:2717
#26 0x00007fa1936028ed in gst_bin_element_set_state (next=GST_STATE_READY, current=GST_STATE_PAUSED, start_time=73830000, base_time=8879714000, element=0x5096010, bin=0x1cf77a0) at gstbin.c:2209
#27 gst_bin_change_state_func (element=0x1cf77a0, transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstbin.c:2518
#28 0x00007fa1936342e4 in gst_pipeline_change_state (element=0x1cf77a0, transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstpipeline.c:482
#29 0x00007fa169edfaab in gst_play_bin_change_state (element=0x1cf77a0, transition=GST_STATE_CHANGE_PAUSED_TO_READY) at gstplaybin2.c:3936
#30 0x00007fa193614dac in gst_element_change_state (element=<optimized out>, transition=<optimized out>) at gstelement.c:2761
#31 0x00007fa193614e2f in gst_element_change_state (element=0x1cf77a0, transition=<optimized out>) at gstelement.c:2798
#32 0x00007fa1936156d0 in gst_element_set_state_func (element=0x1cf77a0, state=GST_STATE_NULL) at gstelement.c:2717
#33 0x00007fa17bde17cc in Phonon::Gstreamer::Pipeline::~Pipeline (this=0x1cf18c0, __in_chrg=<optimized out>) at ../../gstreamer/pipeline.cpp:209
#34 0x00007fa17bde1819 in Phonon::Gstreamer::Pipeline::~Pipeline (this=0x1cf18c0, __in_chrg=<optimized out>) at ../../gstreamer/pipeline.cpp:211
#35 0x00007fa17bddb248 in Phonon::Gstreamer::MediaObject::~MediaObject (this=0x1ce3640, __in_chrg=<optimized out>) at ../../gstreamer/mediaobject.cpp:136
#36 0x00007fa17bddb629 in Phonon::Gstreamer::MediaObject::~MediaObject (this=0x1ce3640, __in_chrg=<optimized out>) at ../../gstreamer/mediaobject.cpp:139
#37 0x00007fa1af596544 in Phonon::MediaNodePrivate::deleteBackendObject (this=0x1cede90) at ../../phonon/medianode.cpp:81
#38 0x00007fa1af582e00 in Phonon::FactoryPrivate::~FactoryPrivate (this=0x1731bc0, __in_chrg=<optimized out>) at ../../phonon/factory.cpp:236
#39 0x00007fa1af5830e9 in Phonon::FactoryPrivate::~FactoryPrivate (this=0x1731bc0, __in_chrg=<optimized out>) at ../../phonon/factory.cpp:246
#40 0x00007fa1a91f8921 in __run_exit_handlers (status=1, listp=0x7fa1a9573688, run_list_atexit=true) at exit.c:78
#41 0x00007fa1a91f89a5 in __GI_exit (status=<optimized out>) at exit.c:100
#42 0x00007fa1aabe2408 in qt_xio_errhandler () at kernel/qapplication_x11.cpp:780
#43 0x00007fa1ab8adbc8 in KApplication::xioErrhandler (this=0x7fff20e38e90, dpy=0xf76fe0) at ../../kdeui/kernel/kapplication.cpp:419
#44 0x00007fa1a77c341e in _XIOError () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#45 0x00007fa1a77c138b in _XReply () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#46 0x00007fa1a77bcaed in XSync () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#47 0x00007fa17bdee649 in Phonon::Gstreamer::X11Renderer::windowExposed (this=0x1c095b0) at ../../gstreamer/x11renderer.cpp:180
#48 0x00007fa17bdee9b9 in Phonon::Gstreamer::OverlayWidget::paintEvent (this=0x1c06a10) at ../../gstreamer/x11renderer.cpp:50
#49 0x00007fa1aabc6f16 in QWidget::event (this=0x1c06a10, event=0x7fff20e380e0) at kernel/qwidget.cpp:8507
#50 0x00007fa1aab766b4 in notify_helper (e=0x7fff20e380e0, receiver=0x1c06a10, this=0xf54a60) at kernel/qapplication.cpp:4555
#51 QApplicationPrivate::notify_helper (this=0xf54a60, receiver=0x1c06a10, e=0x7fff20e380e0) at kernel/qapplication.cpp:4527
#52 0x00007fa1aab7b533 in QApplication::notify (this=0x7fff20e38e90, receiver=0x1c06a10, e=0x7fff20e380e0) at kernel/qapplication.cpp:4416
#53 0x00007fa1ab8af906 in KApplication::notify (this=0x7fff20e38e90, receiver=0x1c06a10, event=0x7fff20e380e0) at ../../kdeui/kernel/kapplication.cpp:311
#54 0x00007fa1aa18150c in QCoreApplication::notifyInternal (this=0x7fff20e38e90, receiver=0x1c06a10, event=0x7fff20e380e0) at kernel/qcoreapplication.cpp:876
#55 0x00007fa1aabc2bb6 in sendSpontaneousEvent (event=0x7fff20e380e0, receiver=0x1c06a10) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
#56 QWidgetPrivate::drawWidget (this=0x1c095e0, pdev=0x1c06a20, rgn=..., offset=..., flags=3, sharedPainter=0x0, backingStore=0x0) at kernel/qwidget.cpp:5584
#57 0x00007fa1aad8f1a7 in QWidgetPrivate::repaint_sys (this=0x1c095e0, rgn=...) at painting/qbackingstore.cpp:1656
#58 0x00007fa1aabb9884 in QWidgetPrivate::syncBackingStore (this=0x1c095e0) at kernel/qwidget.cpp:1887
#59 0x00007fa1aabc742c in QWidget::event (this=0x1c06a10, event=0x51d5610) at kernel/qwidget.cpp:8654
#60 0x00007fa1aab766b4 in notify_helper (e=0x51d5610, receiver=0x1c06a10, this=0xf54a60) at kernel/qapplication.cpp:4555
#61 QApplicationPrivate::notify_helper (this=0xf54a60, receiver=0x1c06a10, e=0x51d5610) at kernel/qapplication.cpp:4527
#62 0x00007fa1aab7b533 in QApplication::notify (this=0x7fff20e38e90, receiver=0x1c06a10, e=0x51d5610) at kernel/qapplication.cpp:4416
#63 0x00007fa1ab8af906 in KApplication::notify (this=0x7fff20e38e90, receiver=0x1c06a10, event=0x51d5610) at ../../kdeui/kernel/kapplication.cpp:311
#64 0x00007fa1aa18150c in QCoreApplication::notifyInternal (this=0x7fff20e38e90, receiver=0x1c06a10, event=0x51d5610) at kernel/qcoreapplication.cpp:876
#65 0x00007fa1aa1852da in sendEvent (event=0x51d5610, receiver=0x1c06a10) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#66 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xef04c0) at kernel/qcoreapplication.cpp:1500
#67 0x00007fa1aa1b0603 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#68 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:279
#69 0x00007fa1a26ded8a in g_main_dispatch (context=0xf57130) at /build/buildd/glib2.0-2.31.22/./glib/gmain.c:2515
#70 g_main_context_dispatch (context=0xf57130) at /build/buildd/glib2.0-2.31.22/./glib/gmain.c:3052
#71 0x00007fa1a26df150 in g_main_context_iterate (dispatch=1, block=<optimized out>, context=0xf57130, self=<optimized out>) at /build/buildd/glib2.0-2.31.22/./glib/gmain.c:3123
#72 g_main_context_iterate (context=0xf57130, block=<optimized out>, dispatch=1, self=<optimized out>) at /build/buildd/glib2.0-2.31.22/./glib/gmain.c:3060
#73 0x00007fa1a26df214 in g_main_context_iteration (context=0xf57130, may_block=1) at /build/buildd/glib2.0-2.31.22/./glib/gmain.c:3184
#74 0x00007fa1aa1b0a2f in QEventDispatcherGlib::processEvents (this=0xef1da0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#75 0x00007fa1aac1eb1e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#76 0x00007fa1aa1802f2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#77 0x00007fa1aa180547 in QEventLoop::exec (this=0x7fff20e38d10, flags=...) at kernel/qeventloop.cpp:204
#78 0x00007fa1aa1855d7 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#79 0x000000000048bc5d in main (argc=5, argv=<optimized out>) at /build/buildd/digikam-2.5.0/core/digikam/main/main.cpp:232

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2012-04-20 21:22:19 UTC
The problem appears to be in gstreamer itself, please report this upstream.
Comment 2 Myriam Schweingruber 2012-04-20 21:23:04 UTC
*** Bug 298499 has been marked as a duplicate of this bug. ***
Comment 3 Torrie Fischer 2012-05-16 18:01:36 UTC
Git commit 0436aeafddf5866cb4310b0a6863a283651c8684 by Trever Fischer.
Committed on 16/05/2012 at 20:00.
Pushed by tdfischer into branch 'master'.

Wrap the metadata in a lock just in case different gst plugins update metadata at the same time in different threads.
FIXED-IN:4.6.1

M  +2    -0    gstreamer/pipeline.cpp
M  +2    -0    gstreamer/pipeline.h

http://commits.kde.org/phonon-gstreamer/0436aeafddf5866cb4310b0a6863a283651c8684
Comment 4 Torrie Fischer 2012-05-17 17:59:53 UTC
Git commit b55b6b2ea11931183b2831b1fdd1e8544ffb3f3d by Trever Fischer.
Committed on 16/05/2012 at 20:00.
Pushed by tdfischer into branch '4.6'.

Wrap the metadata in a lock just in case different gst plugins update metadata at the same time in different threads.
FIXED-IN:4.6.1

M  +2    -0    gstreamer/pipeline.cpp
M  +2    -0    gstreamer/pipeline.h

http://commits.kde.org/phonon-gstreamer/b55b6b2ea11931183b2831b1fdd1e8544ffb3f3d